package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevTesterMapper;
import com.ruoyi.project.patrol.dev.domain.TDevTester;
import com.ruoyi.project.patrol.dev.service.ITDevTesterService;

/**
 * 检测仪Service业务层处理
 * 
 * @author admin
 * @date 2023-11-03
 */
@Service
public class TDevTesterServiceImpl implements ITDevTesterService 
{
    @Autowired
    private TDevTesterMapper tDevTesterMapper;

    /**
     * 查询检测仪
     * 
     * @param id 检测仪主键
     * @return 检测仪
     */
    @Override
    public TDevTester selectTDevTesterById(Long id)
    {
        return tDevTesterMapper.selectTDevTesterById(id);
    }

    /**
     * 查询检测仪列表
     * 
     * @param tDevTester 检测仪
     * @return 检测仪
     */
    @Override
    public List<TDevTester> selectTDevTesterList(TDevTester tDevTester)
    {
        return tDevTesterMapper.selectTDevTesterList(tDevTester);
    }

    /**
     * 新增检测仪
     * 
     * @param tDevTester 检测仪
     * @return 结果
     */
    @Override
    public int insertTDevTester(TDevTester tDevTester)
    {
        return tDevTesterMapper.insertTDevTester(tDevTester);
    }

    /**
     * 修改检测仪
     * 
     * @param tDevTester 检测仪
     * @return 结果
     */
    @Override
    public int updateTDevTester(TDevTester tDevTester)
    {
        return tDevTesterMapper.updateTDevTester(tDevTester);
    }

    /**
     * 批量删除检测仪
     * 
     * @param ids 需要删除的检测仪主键
     * @return 结果
     */
    @Override
    public int deleteTDevTesterByIds(Long[] ids)
    {
        return tDevTesterMapper.deleteTDevTesterByIds(ids);
    }

    /**
     * 删除检测仪信息
     * 
     * @param id 检测仪主键
     * @return 结果
     */
    @Override
    public int deleteTDevTesterById(Long id)
    {
        return tDevTesterMapper.deleteTDevTesterById(id);
    }
}
